
// <ACEStransformID>ANTLERutil.pull_half_stop</ACEStransformID>
// <ACESuserName>Pull half a stop</ACESuserName>

//
// Decrease exposure by half a stop
// 
// Assumes input data is linear
//

void main 
(   
  input varying float rIn,
  input varying float gIn,
  input varying float bIn,
  input varying float aIn,
  output varying float rOut,
  output varying float gOut,
  output varying float bOut,
  output varying float aOut
)
{
  rOut = rIn / 2.0**0.5;
  gOut = gIn / 2.0**0.5;
  bOut = bIn / 2.0**0.5;
  aOut = aIn;
}
